/**
 * Copyright © VNG Realisatie 2023
 * Licensed under the EUPL
 */

@use "../theme";

.contract-detail-page {
    &__title {
        margin-bottom: theme.$spacing09;
    }

    &__section-header {
        margin-bottom: theme.$spacing02;
        color: theme.$colorPaletteGray400;
        padding-left: 0;
    }

    &__section-content {
        margin-left: theme.$spacing07;
        margin-bottom: theme.$spacing05;
    }

    &__grant {
        background-color: #44494F;
        padding: 1rem;
        border-radius: .5rem;
        margin-bottom: 1rem;

        &__title {
            margin: 0 0 1rem 0;
        }
        &__hash {
            display: flex;
            gap: .5rem;
        }
    }

    &__form {
        display: flex;
        justify-content: flex-end;
        margin-top: theme.$spacing07;

        & > button {
            margin-left: theme.$spacing05;
        }
    }

    &__distribution-warning {
        color: theme.$colorWarning;
    }
}
